<?php
/*
Plugin Name: ImportStat
Version: 1.0
Description: Plugin d'import des statistiques PWG 1.6.2 => PWG 1.7.0 / Plugin to import statistics from PWG 1.6.2 => PWG 1.7.0
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=177
*/

/* ----------------------------------------------------------------------

Author : grum@grum.dnsalias.com :: http://photos.grum.dnsalias.com

0.1.a	- 21/09/07 - version alpha
0.1-beta- 22/09/07 - version béta diffusée pour tests
0.2-beta- 23/09/07 + permettre de purger l'historique d'un import précédent avant de procéder à l'import
		   + détecter un history_backup vide (et empêcher de fait de tenter un import)
		   + traduction anglaise (en_EN) 
1.0    - 08/10/07 - correction : 'category_id' à NULL au lieu de 0 [post: http://forum.phpwebgallery.net/viewtopic.php?pid=72008#p72008 à ignorer]
       - correction : lors de l'import, les stats sur users qui n'étaient plus connus n'étaient pas importées
       - correction : forcer history.summarised='false' avant import, afin que PWG puisse les reprendre en compte 
         dans calcul du résumé après import
       + étape supplémentaire dans le processus d'import (alteration de la table;màj attribut summarized)
       + vérification de l'existence de la table history_backup pour l'installation
:: TO DO

   ---------------------------------------------------------------------- */
// pour faciliter le debug :o)
 ini_set('error_reporting', E_ALL);
 ini_set('display_errors', true);

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('PLUGIN_DIR' , basename(dirname(__FILE__)));
define('PLUGIN_PATH' , PHPWG_PLUGINS_PATH . PLUGIN_DIR . '/');

define('PLUGIN_VERSION' , '1.0');

include_once("plugin_class.inc.php");

$obj = new ImportStat_Plugin();

 
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') ); 

set_plugin_data($plugin['id'], $obj)

?>
